------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情1
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>232
--/reloadlua Script/TaoistNewAreaTask1.lua

CppScriptMgr:SetViewPosByCell(179, 179)



------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
hero:SetPos(152, 171)



--怪物
local playerMonster1 = CppScriptMgr:AddPlayer(175,183, 178, "Mystic Boss (Jiro)")
playerMonster1:SetZoomPercent(200);

CppScriptMgr:AddEffect("Blood", 190,179)
CppScriptMgr:AddEffect("Blood", 187,171)
CppScriptMgr:AddEffect("Blood", 192,186)

CppScriptMgr:AddEffect("Blood", 164,168)
CppScriptMgr:AddEffect("Blood", 170,173)
CppScriptMgr:AddEffect("Blood", 168,182)


local player1   = CppScriptMgr:AddSimplePlayer(10670, 190,179, "Archer Corpse")
local player2   = CppScriptMgr:AddSimplePlayer(10670, 187,171, "Archer Corpse")
local player3   = CppScriptMgr:AddSimplePlayer(10670, 192,186, "Archer Corpse")

local player4   = CppScriptMgr:AddSimplePlayer(10670, 164,168, "Archer Corpse")
local player5   = CppScriptMgr:AddSimplePlayer(10670, 170,173, "Archer Corpse")
local player6   = CppScriptMgr:AddSimplePlayer(10670, 168,182, "Archer Corpse")


local player7   = CppScriptMgr:AddPlayer(167, 172,172, "Devil Sentry")
local player8   = CppScriptMgr:AddPlayer(167, 177,170, "Devil Sentry")
local player9   = CppScriptMgr:AddPlayer(167, 184,170, "Devil Sentry")
local player10   = CppScriptMgr:AddPlayer(167, 177,173, "Devil Sentry")
local player11   = CppScriptMgr:AddPlayer(167, 180,173, "Devil Soldier")
local player12   = CppScriptMgr:AddSimplePlayer(1063684, 174,183, "Golden Bow General")
local player13   = CppScriptMgr:AddSimplePlayer(1063684, 180,185, "White Tiger Archer")
local player14   = CppScriptMgr:AddSimplePlayer(1063684, 185,183, "Golden Bow Archer")
local player15   = CppScriptMgr:AddSimplePlayer(1063640, 175,180, "Twisted City Lord")
player15:SetDir(6);
player15:SetZoomPercent(200);
-- 喊话
player15:Say("Devil minions! How dare you come here!", 2000)
-- 播放攻击动作
player12:SetAction(401)
player13:SetAction(401)
player14:SetAction(401)
player15:SetAction(401)
CppScriptMgr:WaitMilSec(2000)

hero:JumpTo(169, 178)

-- 播放攻击动作
player7 :SetAction(401)
player8 :SetAction(401)
player9 :SetAction(401)
player10:SetAction(401)
player11:SetAction(401)
CppScriptMgr:WaitMilSec(500)


playerMonster1:Say("Today, you`ll see how powerful we are!", 2000)
CppScriptMgr:WaitMilSec(2000)
playerMonster1:Say("The heaven and the earth, upside down! The universe, turned around!", 2000)
CppScriptMgr:WaitMilSec(2000)


player12:Say("Watch out!", 2000)
player13:Say("Lord!", 2000)
player14:Say("Lord!", 2000)
CppScriptMgr:WaitMilSec(500)



CppScriptMgr:AddEffect("TSM_LXZF_sf", 179,179)
CppScriptMgr:AddEffect("TSM_LXZF_sf", 179,179)
CppScriptMgr:AddEffect("TSM_LXZF_sf", 179,179)
CppScriptMgr:AddEffect("TSM_LXZF_sf", 179,179)

hero:Say("This is not good! He`s gonna give the last strike!", 2000)
CppScriptMgr:WaitMilSec(2000)

playerMonster1:Say("Drop dead!", 2000)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:AddEffect("TSM_LXZF_sf", 179,179)
CppScriptMgr:AddEffect("TSM_LXZF_sf", 179,179)
CppScriptMgr:AddEffect("TSM_LXZF_sf", 179,179)
CppScriptMgr:AddEffect("TSM_LXZF_sf", 179,179)


CppScriptMgr:AddEffect("thunder2-7", 169, 178)
CppScriptMgr:AddEffect("thunder2-7", 169, 178)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:AddEffect("thunder2-7", 169, 178)
CppScriptMgr:AddEffect("thunder2-7", 169, 178)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:AddEffect("thunder2-7", 169, 178)
CppScriptMgr:WaitMilSec(1000)

hero:Say("Ahh!", 2000)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:AddEffect("Tishi", 169, 178)
CppScriptMgr:WaitMilSec(1000)

hero:Say("This 5-Silver stuff really works... He`s not a liar?", 2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("RFT_shui2", 169, 178)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:AddEffect("RFT_shui3", 169, 178)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:AddEffect("RFT_shui4", 169, 178)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:AddEffect("RFT_shui5", 169, 178)
CppScriptMgr:AddEffect("RFT_shuiAll", 169, 178)

CppScriptMgr:WaitMilSec(2000)



-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)

